Skip to main content
POST
Disable Decision Engine Message

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

flowId
string
required

The UUID of the flow

messageId
string
required

The UUID of the message

Body

application/json

Request body for disabling a message in a flow

clearUpcomingRecommendations
boolean

Also remove recommendations of this message that are scheduled but not yet sent

Response

Ok

Decision Engine Message (Public API)

id
string
required
name
string
required
channelId
string
required
config
object
required
tags
object
guardrails
object

Guardrail fields on a message (max sends, eligibility dates, etc.)

settings
object

The settings of a message within a flow: eligibility and send limits

state
object

The state of a message within a flow

content
string

Message body. Only raw channel messages have content.

variables
object[]
createdAt
string<date-time>
updatedAt
string<date-time>